# -*- coding: utf-8 -*-
"""
app.defaults
~~~~~~~~~~~~

This module implements the database default values.

:copyright: (c) 2017 European Spallation Source ERIC
:license: BSD 2-Clause, see LICENSE for more details.

"""
from . import models


defaults = [
    models.Role(id=0, name='admin'),
    models.Role(id=1, name='user'),

    models.Location(id=0, name='ICS lab'),
    models.Location(id=1, name='Utgård'),
    models.Location(id=2, name='Site'),
    models.Location(id=3, name='ESS'),

    models.Status(id=0, name='Stock'),
    models.Status(id=1, name='In service'),
    models.Status(id=2, name='Disposed'),

    models.Manufacturer(id=0, name='ESS'),
    models.Manufacturer(id=1, name='MRF'),
    models.Manufacturer(id=2, name='IOxOS'),
    models.Manufacturer(id=3, name='Wiener'),

    models.Model(id=0, name='vme-evm-300'),
    models.Model(id=1, name='mtca-evr-300u'),
    models.Model(id=2, name='pcie-evr-300dc'),
    models.Model(id=3, name='Moxa-Nport-6650'),
    models.Model(id=4, name='Dyno-LabelWriter-450-Duo'),
    models.Model(id=5, name='NAT-MCH-PHYS'),
    models.Model(id=6, name='microSD-EVO-32G'),

    models.Action(id=0, name='Save'),
    models.Action(id=1, name='Clear'),
]
